English Amiga Board


Go Back   English Amiga Board > Support > support.Hardware

 
 
Thread Tools
Old 16 March 2009, 04:51   #1
Bootay
Registered User
 
Join Date: Mar 2009
Location: Clinton Twp. USA
Posts: 18
Amiga 4000 & IDE CD-ROM

Hello everyone.

I have an issue that hopefully someone can help me solve. I am trying to use an IDE CD-ROM with my Amiga 4000 using the onboard IDE. I cannot get OS3.1 to recognize the drive. I am able to use the IDE Hard Drive with no problem. I have the Hard Drive set as Master and the CD-ROM as Slave.

Next I put a SCSI CD-ROM in to copy the AmigaSYS LHA file over to the hard drive thinking that installing AmigaSYS might help. Now that AmigaSYS 4 is installed I can mount the CD-ROM but the whole computer locks up and eventually goes to a Software Failure. THis part might need to go in the AMigaSYS section. But am I missing something? How do I get IDE CD-ROM to work as the slave?

Thanks in advance.
Bootay is offline  
Old 16 March 2009, 09:15   #2
thomas
Registered User
thomas's Avatar
 
Join Date: Jan 2002
Location: Germany
Posts: 6,323
CD drives are not recognised by the IDE driver which comes with Kickstart 3.1. You need an additional ATAPI driver. One easy solution is IDEfix97 (now called IDEmax97), but you have to buy it.

Another solution is the update for scsi.device available at http://os.amigaworld.de/index.php?lang=en&page=37
But it is not so easy to install.
(see http://www.amiga.org/modules/newbb/v...orumpost574011 )
thomas is offline  
Old 16 March 2009, 15:13   #3
Ed Cruse
Registered User
 
Join Date: Sep 2007
Location: Las Cruces, USA
Age: 68
Posts: 351
You can also upgrade to OS3.5 or OS3.9. That's what I did with my 4000, but it must have the 3.1 rom. After the upgrade I could use the Zip drive, and CD drive. I had a SCSI interface for the harddrive.
Ed Cruse is offline  
Old 16 March 2009, 15:32   #4
Bootay
Registered User
 
Join Date: Mar 2009
Location: Clinton Twp. USA
Posts: 18
Ahhh...ok. That makes sense then. I tought I was doing something wrong.

I don't have 3.1 roms yet so I cannot upgrade to 3.5 or 3.9 but I am going to buy the roms soon. I was able to get the CD-ROM working after installing AmigaSYS but like I said, it crashes with a Software Failure when I mount the drive. Maybe I will post the AmigaSYS crash in the AmigaSYS section and see what they have to say.

Thanks.
Bootay is offline  
Old 16 March 2009, 15:40   #5
Bootay
Registered User
 
Join Date: Mar 2009
Location: Clinton Twp. USA
Posts: 18
Thomas: Thanks for the tips. I read your step by step guide on how to update scsi.device and it didn't seem difficult at all. I might give it a try.

Thanks.
Bootay is offline  
Old 16 March 2009, 16:40   #6
AmigaFriend
Registered User
AmigaFriend's Avatar
 
Join Date: Sep 2008
Location: CLI
Posts: 1,462
Quote:
Originally Posted by Bootay View Post

I don't have 3.1 roms
You could try Blizkick if you have an A3640, so you can softkick an A4000 3.1 rom to the maprom feature of the A3640.

That's how I do it and works wonders. You can also use Blizkick's modules to improve you rom libraries that are in memory.
AmigaFriend is offline  
Old 11 May 2009, 01:49   #7
AbstractCure
 
Posts: n/a
Software versions

Hi,
I am new to Amiga and a bit confused about version numbering. I have A4000. Could you please explain what does the following mean ?

Kickstart: 39.106
Workbench: 39.29

I wonder if I have OS 3.1 or 3.9
What would be the highest release of the OS I can go to ?
Why can't I see an IDE CD-ROM after I load the above release of OS ?
Does Workbench mean Operating system, and does Kickstart mean BIOS ?

Thank you guys
Peter
 
Old 11 May 2009, 02:31   #8
rkauer
I hate potatos and shirts
rkauer's Avatar
 
Join Date: Oct 2007
Location: Sao Leopoldo / Brazil
Age: 55
Posts: 3,482
Send a message via MSN to rkauer Send a message via Yahoo to rkauer
39.106 is kickstart 3.0 , 39.29 is Workbench 3.0

ROM 3.1 is 40.068 in A1200, 40.069 in A4000 desktop, 40.070 in A4000T and 40.063 in all single-chip ROM Amigas (A500, 600 and 2000).
rkauer is offline  
Old 11 May 2009, 10:23   #9
alexh
Thalion Webshrine
alexh's Avatar
 
Join Date: Jan 2004
Location: Oxford
Posts: 12,679
Quote:
Originally Posted by rkauer View Post
40.069 in A4000 desktop
I don't think so.

Quote:
Originally Posted by thomas View Post
Another solution is the update for scsi.device available at http://os.amigaworld.de/index.php?lang=en&page=37
But it is not so easy to install.
(see http://www.amiga.org/modules/newbb/v...orumpost574011 )
Ooo, interesting stuff...
alexh is offline  
Old 11 May 2009, 10:58   #10
Jope
-
Jope's Avatar
 
Join Date: Jul 2003
Location: Helsinki / Finland
Age: 40
Posts: 8,604
Also available here so you don't have to go to That Site. ;-)

http://eab.abime.net/showpost.php?p=524635&postcount=5
Jope is offline  
Old 11 May 2009, 12:37   #11
alexh
Thalion Webshrine
alexh's Avatar
 
Join Date: Jan 2004
Location: Oxford
Posts: 12,679
This describes updating scsi.device to 43.23 specifically for AmigaOS3.1 users.

OS3.9 users can update to 43.45p

http://aminet.net/package/driver/media/SCSI4345p

I am curious to know if OS3.1 users could also use 43.45p?
alexh is offline  
Old 11 May 2009, 13:19   #12
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 42
Posts: 5,895
Send a message via MSN to FOL
Quote:
Originally Posted by alexh View Post
This describes updating scsi.device to 43.23 specifically for AmigaOS3.1 users.

OS3.9 users can update to 43.45p

http://aminet.net/package/driver/media/SCSI4345p

I am curious to know if OS3.1 users could also use 43.45p?
Aye, that 43.45p works great, .

Will have to try it on 3.1, but I would have thought it would work fine.
FOL is offline  
Old 11 May 2009, 18:10   #13
rkauer
I hate potatos and shirts
rkauer's Avatar
 
Join Date: Oct 2007
Location: Sao Leopoldo / Brazil
Age: 55
Posts: 3,482
Send a message via MSN to rkauer Send a message via Yahoo to rkauer
It work marvellously fine, thanks. Even on 2.xx Workbench the patched version works flawlessly, combined with latest FFS.
rkauer is offline  
Old 11 May 2009, 20:43   #14
alexh
Thalion Webshrine
alexh's Avatar
 
Join Date: Jan 2004
Location: Oxford
Posts: 12,679
Quote:
Originally Posted by rkauer View Post
Even on 2.xx Workbench the patched version works flawlessly, combined with latest FFS.
While the patched scsi.device file may work on 2.xx Workbench, I would guess you cannot generate one on a KS2.xx machine?
alexh is offline  
Old 11 May 2009, 21:04   #15
FOL
PSPUAE DEV

FOL's Avatar
 
Join Date: Nov 2006
Location: Barry / UK
Age: 42
Posts: 5,895
Send a message via MSN to FOL
Quote:
Originally Posted by rkauer View Post
It work marvellously fine, thanks. Even on 2.xx Workbench the patched version works flawlessly, combined with latest FFS.
Good to know, .

Oh and rkauer I havent forgotten you, just been really busy at the moment.
FOL is offline  
Old 12 May 2009, 05:41   #16
rkauer
I hate potatos and shirts
rkauer's Avatar
 
Join Date: Oct 2007
Location: Sao Leopoldo / Brazil
Age: 55
Posts: 3,482
Send a message via MSN to rkauer Send a message via Yahoo to rkauer
Quote:
Originally Posted by alexh View Post
While the patched scsi.device file may work on 2.xx Workbench, I would guess you cannot generate one on a KS2.xx machine?
Nope, since my A600 have just a humble 68000 CPU. But it have 3.1 ROM, so it's just a matter of using the patched device into a self-made ROM chip (as I did).
rkauer is offline  
Old 13 May 2009, 19:16   #17
Eclipse
Turpentine
Eclipse's Avatar
 
Join Date: Oct 2007
Location: Kent, United Kingdom
Posts: 743
Quote:
Originally Posted by rkauer View Post
Nope, since my A600 have just a humble 68000 CPU. But it have 3.1 ROM, so it's just a matter of using the patched device into a self-made ROM chip (as I did).
You should make updated kickstarts for the masses.
Eclipse is offline  
Old 14 May 2009, 05:01   #18
rkauer
I hate potatos and shirts
rkauer's Avatar
 
Join Date: Oct 2007
Location: Sao Leopoldo / Brazil
Age: 55
Posts: 3,482
Send a message via MSN to rkauer Send a message via Yahoo to rkauer
Nooooooooooo!
Me and my wide open mouth!
rkauer is offline  
Old 14 May 2009, 16:35   #19
Eclipse
Turpentine
Eclipse's Avatar
 
Join Date: Oct 2007
Location: Kent, United Kingdom
Posts: 743
Quote:
Originally Posted by rkauer View Post
Nooooooooooo!
Me and my wide open mouth!
I'd pay for a kickstart that had updated devices. You could earn some good money.
Eclipse is offline  
Old 14 May 2009, 16:53   #20
alexh
Thalion Webshrine
alexh's Avatar
 
Join Date: Jan 2004
Location: Oxford
Posts: 12,679
And possibly break the law in your country. Not worth it for the pitiful amount of money you'd make.
alexh is offline  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
4000+ amiga configs & game info mike4466 support.Other 25 20 June 2010 19:44
Amiga 4000 3.0 to 3.1 ROM upgrade ceaser support.Hardware 0 18 September 2009 03:28
ACard AEC-7720U/UW on Amiga 4000 with CF-IDE pashdown support.Hardware 9 18 April 2009 12:45
A1200 4-Way IDE Adapter: IDEfix & CD-ROM support in OS3.9 StevenJGore support.Hardware 8 01 June 2008 00:27
Amiga 4000 Ide Hard Drive THX1138 support.Hardware 12 25 May 2003 12:14

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 04:07.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2021, vBulletin Solutions Inc.
Page generated in 0.18152 seconds with 13 queries